<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.caimei.www.mapper.InstrumentDao">
    <select id="getInstrumentById" resultType="com.caimei.www.pojo.content.PageContent">
        select id, type, title, keywords, description, headImage as image
		from cm_page
		where id = #{instrumentId} and type='2' and enabledStatus=1
    </select>
    <select id="getParametersByInstrumentId" resultType="com.caimei.www.pojo.content.Parameter">
        select id,
               pageId as parentId,
               name,
               content,
               type
        from cm_page_name_content
        where pageId=#{instrumentId}
    </select>
</mapper>
